Main Page Modules Data Structures File List Data Fields Globals Related Pages

# beecrypt/timestamp.h File Reference

Java-compatible 64 bit timestamp, header. More...

`#include "beecrypt.h"`

Go to the source code of this file.

## Defines
#define | ONE_SECOND 1000L
#define | ONE_MINUTE 60000L
#define | ONE_HOUR 3600000L
#define | ONE_DAY 86400000L
#define | ONE_WEEK 604800000L
#define | ONE_YEAR 31536000000L
## Functions
javalong | timestamp (void)

## Detailed Description

Java-compatible 64 bit timestamp, header.

Definition in file timestamp.h.

## Define Documentation

#define ONE_DAY 86400000L

| Definition at line 44 of file timestamp.h.

#define ONE_HOUR 3600000L

| Definition at line 43 of file timestamp.h.

#define ONE_MINUTE 60000L

| Definition at line 42 of file timestamp.h.

#define ONE_SECOND 1000L

| Definition at line 41 of file timestamp.h.

#define ONE_WEEK 604800000L

| Definition at line 45 of file timestamp.h.

#define ONE_YEAR 31536000000L

| Definition at line 46 of file timestamp.h.

## Function Documentation

javalong timestamp | ( | void |  | ) |

| Definition at line 30 of file timestamp.c.